<div class="flex-column full-height full-width" style="overflow-y: hidden">
  <div class="flex-row align-items-center activity-header">
    <div class="panel-title margin-left activity-title">
      {{
        'sqtm-core.campaign-workspace.exploratory-session-overview.activity'
          | translate
      }}
    </div>
    <div class="m-l-auto flex align-center p-r-15">
      <sqtm-core-grouped-multi-list-field
        #noteKindFilter
        [attr.data-test-element-id]="'note-kind-filter'"
        [searchable]="false"
        [listItems]="noteKindItems"
        (valueChanged)="selectedKindsChanged($event)"
        [placeHolder]="
          'sqtm-core.campaign-workspace.execution-page.note.filter-kinds'
            | translate
        "
        [showClearButton]="true"
      >
      </sqtm-core-grouped-multi-list-field>
      <sqtm-core-grouped-multi-list-field
        #userFilter
        [attr.data-test-element-id]="'user-filter'"
        [searchable]="false"
        [listItems]="users"
        (valueChanged)="selectedUsersChanged($event)"
        [placeHolder]="
          'sqtm-core.campaign-workspace.execution-page.note.filter-by-user'
            | translate
        "
        [showClearButton]="true"
      >
      </sqtm-core-grouped-multi-list-field>

      <div class="m-l-10 align-items-center flex">
        <a
          [attr.data-test-element-id]="'collapse-all-notes'"
          (click)="collapseAllNotes()"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:zoom-out"
            nzTheme="outline"
            class="action-icon-size current-workspace-button"
            [nz-tooltip]="
              'sqtm-core.test-case-workspace.test-steps.button.collapse-all'
                | translate
            "
          >
          </i>
        </a>
        <a
          [attr.data-test-element-id]="'expand-all-notes'"
          (click)="expandAllNotes()"
          class="m-l-10 current-workspace-button"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:zoom-in"
            nzTheme="outline"
            class="action-icon-size"
            nzTooltipPlacement="topRight"
            [nz-tooltip]="
              'sqtm-core.test-case-workspace.test-steps.button.expand-all'
                | translate
            "
          >
          </i>
        </a>
        <a
          [attr.data-test-element-id]="'refresh'"
          (click)="refresh()"
          class="m-l-10 current-workspace-button"
        >
          <i
            nz-icon
            nzType="sqtm-core-generic:refresh"
            nzTheme="outline"
            class="action-icon-size"
            nzTooltipPlacement="topRight"
            [nz-tooltip]="
              'sqtm-core.generic.label.refresh' | translate | capitalize
            "
          >
          </i>
        </a>
      </div>
    </div>
  </div>

  <div class="overflow-y-auto full-height p-b-15 p-x-15">
    @if (!loading) {
      @if (!hasActivityToShow) {
        <div class="sqtm-large-grid-container full-width p-15">
          <span
            class="label-color"
            [attr.data-test-element-id]="'empty-activity-message'"
          >
            {{
              'sqtm-core.campaign-workspace.exploratory-session-overview.no-activity'
                | translate
            }}
          </span>
        </div>
      }
      @for (note of filteredNotes; track note) {
        <sqtm-app-readonly-session-note
          [note]="note"
          [issues]="getNoteIssues(note)"
        >
        </sqtm-app-readonly-session-note>
      }
    } @else {
      <sqtm-core-full-page-loading-icon class="flex full-height">
      </sqtm-core-full-page-loading-icon>
    }
  </div>
</div>
